import request from '@/utils/request'

// 查询已发布立减金券列表
export function listHisstoreStoreinstandiscountissue(query) {
  return request({
    url: '/store/store_instan_discount_issue/list',
    method: 'get',
    params: query
  })
}

// 查询已发布立减金券详细
export function getHisstoreStoreinstandiscountissue(id) {
  return request({
    url: '/store/store_instan_discount_issue/' + id,
    method: 'get'
  })
}

// 新增已发布立减金券
export function addHisstoreStoreinstandiscountissue(data) {
  return request({
    url: '/store/store_instan_discount_issue',
    method: 'post',
    data: data
  })
}

// 修改已发布立减金券
export function updateHisstoreStoreinstandiscountissue(data) {
  return request({
    url: '/store/store_instan_discount_issue',
    method: 'put',
    data: data
  })
}

// 删除已发布立减金券
export function delHisstoreStoreinstandiscountissue(id) {
  return request({
    url: '/store/store_instan_discount_issue/' + id,
    method: 'delete'
  })
}

// 导出已发布立减金券
export function exportHisstoreStoreinstandiscountissue(query) {
  return request({
    url: '/store/store_instan_discount_issue/export',
    method: 'post',
    params: query
  })
}
